### File

`packages/eui/packages/components-next/src/lib/layout/eui-toolbar/toolbar-menu/toolbar-menu.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar-menu`
templateUrl | `./toolbar-menu.component.html`

### Index

###### Properties

- Public asService
- isdropdownOpen

###### Methods

- onKeyDown
- onLinkClick

###### Inputs

- items

###### Outputs

- menuItemClicked

###### HostBindings

- class

### Constructor

`constructor(asService: UxAppShellService, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
asService | `UxAppShellService` | No
cd | `ChangeDetectorRef` | No

### Inputs

items
Type : `any[]`

### Outputs

menuItemClicked
Type : `EventEmitter`

### HostBindings

class
Default value : `'eui-toolbar-menu'`

### Methods

onKeyDown
`onKeyDown(event: KeyboardEvent, link: EuiMenuItem)`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No
link | `EuiMenuItem` | No

Returns : `void`

onLinkClick
`onLinkClick(link: EuiMenuItem)`

Parameters :

Name | Type | Optional
link | `EuiMenuItem` | No

Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

isdropdownOpen
Default value : `false`

# result-matching ""

# No results matching ""